﻿using IronPdf.Extensions.Maui;

namespace MauiSample
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
            IronPdf.License.LicenseKey = Environment.GetEnvironmentVariable("IRONSUITE", EnvironmentVariableTarget.Machine);
        }

        private void PrintToPdf(object sender, EventArgs e)
        {
            ChromePdfRenderer renderer = new ChromePdfRenderer();

            // Apply HTML header
            renderer.RenderingOptions.HtmlHeader = new HtmlHeaderFooter()
            {
                HtmlFragment = "<h1>Header</h1>",
            };
            
            // Render PDF from Maui Page
            PdfDocument pdf = renderer.RenderContentPageToPdf<MainPage, App>().Result;
            pdf.SaveAs(@"C:\Users\chakn\Downloads\contentPageToPdf.pdf");
        }
    }

}
